<?php

namespace App\Modules\Room\Domain;

use App\Modules\BookingExtra\Domain\IdBookingExtra;
use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

interface RoomRepository
{
    public function copyRoom(IdRoom $room, IdBookingExtra $idBookingExtra, $idAdmin);
    public function insert(Room $model): IdRoom;
    public function update(Room $model);
    public function updatePartial(Room $model);
    public function find(StorageCriteria $action): Room;
    public function search(StorageCriteria $action): array;
}
